## org.apache.poi.hwpf.model
Class ListFormatOverride

    java.lang.Object
      org.apache.poi.hwpf.model.ListFormatOverride

    @Internal
    public final class ListFormatOverride

extends java.lang.Object

Constructor Summary
`ListFormatOverride(byte[] buf, int offset)`
`ListFormatOverride(int lsid)`

Method Summary
`ListFormatOverrideLevel[]` `getLevelOverrides()`
`int` `getLsid()`
`ListFormatOverrideLevel` `getOverrideLevel(int level)`
`int` `numOverrides()`
`void` `setLsid(int lsid)`
`void` `setOverride(int index, ListFormatOverrideLevel lfolvl)`
`byte[]` `toByteArray()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListFormatOverride

    public ListFormatOverride(byte[] buf,
                              int offset)

### ListFormatOverride

    public ListFormatOverride(int lsid)

Method Detail

### getLevelOverrides

    public ListFormatOverrideLevel[] getLevelOverrides()

### getLsid

    public int getLsid()

### getOverrideLevel

    public ListFormatOverrideLevel getOverrideLevel(int level)

### numOverrides

    public int numOverrides()

### setLsid

    public void setLsid(int lsid)

### setOverride

    public void setOverride(int index,
                            ListFormatOverrideLevel lfolvl)

### toByteArray

    public byte[] toByteArray()

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.